﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace galeri
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            bkaydet.Enabled = false;
            bislem.Enabled = false;
            radioButton1.Checked = true;
            dosyaoku();

        }


        private void dosyaoku()
        {
            try
            {
                string[] veriler = File.ReadAllLines("araclar.txt");

                listBox1.Items.Clear();
                listBox2.Items.Clear();

                char[] ch = { ';' };
                for (int i = 0; i < veriler.Length; i++)
                {
                    string[] parca = veriler[i].Split(ch, StringSplitOptions.RemoveEmptyEntries);

                    if (parca.Length == 2)
                    {
                        listBox1.Items.Add(parca[0]);
                        listBox2.Items.Add(parca[1]);
                    }
                }

            }
            catch { }       
        
        }

        private void dosyayaz()
        {

            try
            {
                FileStream fs = new FileStream("araclar.txt", FileMode.Create);
                StreamWriter sw = new StreamWriter(fs);

                for (int i = 0; i < listBox1.Items.Count; i++)
                {
                    sw.WriteLine(listBox1.Items[i] + ";" + listBox2.Items[i]);
                }
                
                sw.Close();
                fs.Close();

            }
            catch { }
                
        }

        private void bkaydet_Click(object sender, EventArgs e)
        {

            if (radioButton1.Checked)
            {
                listBox1.Items.Add(tarac.Text);
                listBox2.Items.Add(tfiyat.Text);
            }
            else
            { 
             // duzenleme kisminin kaydet butonu
                int secilen = listBox1.SelectedIndex;
                if (secilen > -1)
                {
                    listBox1.Items[secilen] = tarac.Text;
                    listBox2.Items[secilen] = tfiyat.Text;
                }
            
            }
            tarac.Text = "";
            tfiyat.Text = "";
            dosyayaz();
        }

        private void bislem_Click(object sender, EventArgs e)
        {
            if (radioButton2.Checked)
            {
                // duzenleme icin secili olan listbox elemanlarini textboxlara yazdir

                int secilen = listBox1.SelectedIndex;

                if (secilen > -1)
                {
                    tarac.Text = listBox1.Items[secilen].ToString();
                    tfiyat.Text = listBox2.Items[secilen].ToString();
                }
            }
            else
            { // silme radiobutton a ait olacak

                 int secilen = listBox1.SelectedIndex;

                 if (secilen > -1)
                 {
                     listBox1.Items.RemoveAt(secilen);
                     listBox2.Items.RemoveAt(secilen);
                     dosyayaz();

                 }
            
            }


        }

        private void tarac_TextChanged(object sender, EventArgs e)
        {
            if (tarac.Text.Length > 2 && tfiyat.Text.Length > 2 && !radioButton3.Checked)
                bkaydet.Enabled = true;
            else
                bkaydet.Enabled = false;
        }

        private void radioButton1_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton1.Checked)
                bislem.Enabled = false;
            else
                bislem.Enabled = true;
        }
    }
}
